org.jboss.jca.as.converters.wls.metadata

## Class AnonPrincipalImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.AnonPrincipalImpl

- All Implemented Interfaces:
    java.io.Serializable, AnonPrincipal, WlsMetadata

      public class AnonPrincipalImpl
      extends java.lang.Object
      implements AnonPrincipal

  A generic AnonPrincipal.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.AnonPrincipal

      `AnonPrincipal.Attribute, AnonPrincipal.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonPrincipalImpl(java.lang.Boolean anonIdent, java.lang.String principleName)` construct

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPrincipalName()` getPrincipalName
    `java.lang.Boolean` | `getUseAnonymousIdentity()` getUseAnonymousIdentity

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnonPrincipalImpl

          public AnonPrincipalImpl(java.lang.Boolean anonIdent,
                                   java.lang.String principleName)

      construct
      Parameters:
        `anonIdent` - bool
        `principleName` - principle name

  - ### Method Detail

    - #### getUseAnonymousIdentity

          public java.lang.Boolean getUseAnonymousIdentity()

      Description copied from interface: `AnonPrincipal`
      getUseAnonymousIdentity
      Specified by:
        `getUseAnonymousIdentity` in interface `AnonPrincipal`
      Returns:
        the UseAnonymousIdentity

    - #### getPrincipalName

          public java.lang.String getPrincipalName()

      Description copied from interface: `AnonPrincipal`
      getPrincipalName
      Specified by:
        `getPrincipalName` in interface `AnonPrincipal`
      Returns:
        the PrincipalName

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)